
import pyodbc

def connect_to_database(server, database, username, password):
    """
    Connect to a Microsoft SQL Server database using pyodbc.
    """
    # Set up the connection string
    connection_string = f'DRIVER={{SQL Server}};SERVER={server};DATABASE={database};UID={username};PWD={password}'
    
    # Connect to the database
    connection = pyodbc.connect(connection_string)
    
    return connection

